set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  _action="display"
  file="pit4.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  _action="display"
  file="ore4.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "TRISOLATION 3DM/DTM OUTSIDE" {
  frm00640={
    {
      _action="display"
      layer_name="dtm_outside_solid"
      object_no="1"
    }
  }
  select_triangle=table { winx winy objectx objecty objectz } {
    { "-0.208" "-0.412" "1639.989" "7262.578" "133.997" }
    { "-0.679" "-0.326" "1502.365" "7284.488" "175.568" }
  }
}]

set status [ SclFunction "ZOOM OUT" {} ]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      action="display"
      output_file="surpac2dtm:dtm_outside_solid"
      outputExt=".dtm"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
}]

puts ""
puts ""
puts "Macro 08e_dtm_outside_solid.tcl completed."
puts ""

